%define sqlite3lib %mklibname sqlite3_0
%define rel 7

Name             : boncuk
Version          : 1.1
Release          : %mkrel %{rel}
Summary          : Simple English-Turkish dictionary
Group            : Office/Dictionary
URL              : https://pysozluk-qt.sourceforge.net/
Source0          : https://downloads.sourceforge.net/project/pysozluk-qt/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1          : https://downloads.sourceforge.net/project/pysozluk-qt/%{name}-dict/0.1.1/%{name}-dict-0.1.1.tar.bz2
Source2          : boncuk.desktop
Patch0           : boncuk-1.1-mga-fix-sqlite.patch
License          : GPLv3
BuildRequires    : qt4-devel
BuildRequires    : pkgconfig(sqlite3)
BuildRequires    : qt4-database-plugin-sqlite

Requires         : qt4-database-plugin-sqlite 
Requires         : %{_lib}sqlite3_0

Requires(post)   : desktop-file-utils
Requires(postun) : desktop-file-utils

%description
Boncuk is a minimalistic English-Turkish dictionary.
It can search in its local database and in seslisozluk.net

%prep
%setup  -q -c -n %{name}
%setup -q -n %{name} -T -D -a 1
pushd %{name}-%{version}
%patch -P 0 -p1
popd

%build
pushd %{name}-%{version}

lrelease boncuk.pro
%qmake_qt4 -o Makefile boncuk.pro
%make_build

popd

%install
pushd %{name}-%{version}

%make_install INSTALL_ROOT=%{buildroot}

%__mkdir -p %{buildroot}%{_datadir}/%{name}
%__mkdir -p %{buildroot}%{_datadir}/applications
%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__mkdir -p %{buildroot}%{_bindir}

%__install -m 755 bin/%{name} %{buildroot}%{_bindir}/%{name}
%__install -m 644 resources/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

popd


pushd %{name}-dict-0.1.1
%__install -m 755 %{name}.db %{buildroot}%{_datadir}/%{name}/%{name}.db
popd

%__install -m 644 %{_sourcedir}/boncuk.desktop  %{buildroot}%{_datadir}/applications/%{name}.desktop

#----------------------------------------------------------------------------

%files
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/README %{name}-%{version}/COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/%{name}.db
%dir %{_datadir}/%{name}



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.1-7.mga10
+ Revision: 2231514
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 1.1-6.mga10
+ Revision: 2127135
- Rebuild for patchN deprecation

* Mon Mar 14 2022 umeabot <umeabot> 1.1-5.mga9
+ Revision: 1791613
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1-4.mga8
+ Revision: 1511347
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 daviddavid <daviddavid> 1.1-3.mga7
+ Revision: 1296350
- Mageia 7 Mass Rebuild

* Wed Aug 23 2017 ovitters <ovitters> 1.1-2.mga7
+ Revision: 1144027
+ rebuild (emptylog)

* Mon Feb 01 2016 pterjan <pterjan> 1.1-2.mga6
+ Revision: 929973
- Mageia 6 Mass Rebuild

* Tue Apr 02 2013 zezinho <zezinho> 1.1-1.mga6
+ Revision: 407356
- imported package boncuk


* Thu Feb 28 2013 Atilla ÖNTAŞ <tarakbumba@gmail.com> 1.1-1mga3
- Initial Mageia rpm package

